# Class NetworkConfiguration

java.lang.Object
com.sparshui.common.NetworkConfiguration

public class NetworkConfiguration extends Object
Defines the port the server will be listening for connections on.

Author:
  Tony Ross

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CLIENT_PORT`
`static final int`
`DEVICE_PORT`

## Constructor Summary

Constructors
Constructor
Description
`NetworkConfiguration()`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CLIENT_PORT

public static final int CLIENT_PORT

See Also:
  - Constant Field Values

### DEVICE_PORT

public static final int DEVICE_PORT

See Also:
  - Constant Field Values

## Constructor Details

### NetworkConfiguration

public NetworkConfiguration()